# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/dnet-config /usr/bin/python /usr/bin/rrdtool gcc-c++ libncurses-devel perl(BER.pm) perl(Fcntl.pm) perl(IO/Handle.pm) perl(SNMP_Session.pm)
# END SourceDeps(oneline)
%filter_from_requires /python....honeyd./d
Summary: Honeypot daemon
Name: honeyd
Version: 1.5c
Release: alt1_19
License: GPLv2+ and BSD
Group: Networking/WWW
URL: http://www.honeyd.org/
Source0: http://www.citi.umich.edu/u/provos/honeyd/honeyd-%{version}.tar.gz
Source1: http://www.citi.umich.edu/u/provos/honeyd/arpd-0.2.tar.gz
Source2: honeyd.service
Source3: honeyd.conf
Source4: honeyd.sysconfig
Source5: farpd.sysconfig
Source6: README.fedora
Source7: farpd.service
Patch1: honeyd-1.5c-gcc.patch
Patch2: honeyd-1.5c-pidFile.patch
Patch3: honeyd-1.5c-flags.patch
Patch4: honeyd-1.5c-withlib.patch
Patch5: honeyd-1.5c-lt.patch
Patch6: honeyd-1.5c-extint.patch
Patch7: honeyd-1.5c-libevent2.patch
Patch8: honeyd-1.5c-automake13.patch
Requires: perl-SNMP_Session
BuildRequires: readline-devel zlib-devel
BuildRequires: python-devel pcre-devel
BuildRequires: libpcap-devel libdnet-devel libevent-devel
BuildRequires: autoconf automake libtool
Source44: import.info

%description
Honeyd is a small daemon that creates virtual hosts on a network.
The hosts can be configured to run arbitrary services, and their
TCP personality can be adapted so that they appear to be running
certain versions of operating systems. Honeyd enables a single
host to claim multiple addresses on a LAN for network simulation.

%prep
%setup -q -a 1
cp -p %{SOURCE6}  ./
%patch1 -p1 -b .gcc
%patch2 -p1 -b .pidFile
%patch3 -p1 -b .flags
%patch4 -p1 -b .withlib
%patch5 -p1 -b .lt
%patch6 -p1 -b .extint
%patch7 -p1 -b .libevent2
%patch8 -p1 -b .automake13

sed -i 's,arpd,farpd,' arpd/arpd.8

%build
autoreconf -i
(cd arpd && autoreconf -i)
%configure
make %{?_smp_mflags}
cd arpd
%configure
make %{?_smp_mflags}


%install
install -d %{buildroot}%{_datadir}/honeyd
make install DESTDIR=%{buildroot}
cp -aRf scripts %{buildroot}/%{_datadir}/%{name}/
install -d -m 755 %{buildroot}%{_sysconfdir}/sysconfig
install -p -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/honeyd.conf
install -p -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/honeyd
install -p -m 644 %{SOURCE5} %{buildroot}%{_sysconfdir}/sysconfig/farpd

#create fake arpd
cd arpd
make install DESTDIR=%{buildroot}
mv %{buildroot}/%{_sbindir}/arpd %{buildroot}/%{_sbindir}/farpd
mv %{buildroot}/%{_mandir}/man8/arpd.8 %{buildroot}/%{_mandir}/man8/farpd.8

#remove devel part 
rm -rf %{buildroot}/%{_includedir}
rm -rf %{buildroot}/%{_libdir}

#clean stuff
chmod 755 %{buildroot}/%{_datadir}/honeyd/scripts/snmp/fake-snmp.pl
chmod 755 %{buildroot}/%{_datadir}/honeyd/scripts/snmp/buildSNMPConfig.pl
rm -rf %{buildroot}/%{_datadir}/honeyd/scripts/test.sh

install -D -p -m 644 %{SOURCE2} %{buildroot}%{_unitdir}/honeyd.service
install -D -p -m 644 %{SOURCE7} %{buildroot}%{_unitdir}/farpd.service


%files
%doc LICENSE README config.sample nmap.prints README.fedora
%config(noreplace) %{_sysconfdir}/honeyd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/honeyd
%config(noreplace) %{_sysconfdir}/sysconfig/farpd
%{_unitdir}/honeyd.service
%{_unitdir}/farpd.service
%{_bindir}/hsniff
%{_bindir}/honeydstats
%{_bindir}/honeyd
%{_bindir}/honeydctl
%{_sbindir}/farpd
%{_datadir}/honeyd/
%{_mandir}/man1/honeydctl.1*
%{_mandir}/man8/honeyd.8*
%{_mandir}/man8/farpd.8*

%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 1.5c-alt1_19
- update to new release by fcimport

* Mon Jan 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.5c-alt1_18
- initial fc import

